/* This file is part of tagr.
   Copyright (C) 2000, 2005,  Max Bouglacoff, Sergey Poznyakoff

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA. */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <time.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <tagr.h>
#include <report.h>

void
report (Stat * stat)
{
  int n;

  for (n = 0; n < sd_count; n++)
    if (!strcmp (sd[n].id, stat->name))
      {
	sd[n].in = stat->in;
	sd[n].out = stat->out;
	sd[n].t = time (NULL);
	update_graphs (&sd[n]);
	return;
      }

  logmsg (L_WARNING, "%s not found in config", stat->name);
}

void
rebuild ()
{
  int n;
  
  for (n = 0; n < sd_count; n++)
    rebuild_graphs (&sd[n]);
}
